com.android.agf.fragments

## Class ComponentFragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - android.support.v4.app.ListFragment
    - - com.actionbarsherlock.app.SherlockListFragment
      - - com.android.agf.fragments.ComponentFragment

- All Implemented Interfaces:
    ComponentCallbacks, _ActionBarSherlockTrojanHorse.OnCreateOptionsMenuListener, _ActionBarSherlockTrojanHorse.OnOptionsItemSelectedListener, _ActionBarSherlockTrojanHorse.OnPrepareOptionsMenuListener, View.OnCreateContextMenuListener

      public class ComponentFragment
      extends com.actionbarsherlock.app.SherlockListFragment

  fragment per la gestio de components, implementa un listview
  Author:
    albert

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `ComponentFragment.MyLoadingData` classe local que implementa l'asynctask de carrega de components

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `Fragment.InstantiationException, Fragment.SavedState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentFragment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `View` | `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)` generació del layout del fragment
    `void` | `onDestroy()` neteja d'objectes per facilitar la crida de GC per millorar el heap de memoria
    `void` | `onListItemClick(ListView l, View v, int position, long id)`
    `void` | `onResume()` crida cada cop que el fragment pasi a primer pla, carrega usuari i dades del llistat

    - ### Methods inherited from class com.actionbarsherlock.app.SherlockListFragment

      `getSherlockActivity, onAttach, onCreateOptionsMenu, onCreateOptionsMenu, onDetach, onOptionsItemSelected, onOptionsItemSelected, onPrepareOptionsMenu, onPrepareOptionsMenu`

    - ### Methods inherited from class android.support.v4.app.ListFragment

      `getListAdapter, getListView, getSelectedItemId, getSelectedItemPosition, onDestroyView, onViewCreated, setEmptyText, setListAdapter, setListShown, setListShownNoAnimation, setSelection`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getArguments, getChildFragmentManager, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getResources, getRetainInstance, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityCreated, onActivityResult, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateContextMenu, onDestroyOptionsMenu, onHiddenChanged, onInflate, onLowMemory, onOptionsMenuClosed, onPause, onSaveInstanceState, onStart, onStop, onViewStateRestored, registerForContextMenu, setArguments, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setRetainInstance, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentFragment

          public ComponentFragment()

  - ### Method Detail

    - #### onCreateView

          public View onCreateView(LayoutInflater inflater,
                          ViewGroup container,
                          Bundle savedInstanceState)

      generació del layout del fragment
      Overrides:
        `onCreateView` in class `ListFragment`

    - #### onResume

          public void onResume()

      crida cada cop que el fragment pasi a primer pla, carrega usuari i dades del llistat
      Overrides:
        `onResume` in class `Fragment`

    - #### onDestroy

          public void onDestroy()

      neteja d'objectes per facilitar la crida de GC per millorar el heap de memoria
      Overrides:
        `onDestroy` in class `Fragment`

    - #### onListItemClick

          public void onListItemClick(ListView l,
                             View v,
                             int position,
                             long id)

      Overrides:
        `onListItemClick` in class `ListFragment`